#!/usr/bin/gawk -f

# Ebben a programban sincs szükségünk a BEGIN és az END blokkokra, csupán a főprogram kell
# nekünk, ami a bemeneti fájl sorainak feldolgozását végzi.

{
	# Ebben a változóban fogjuk számolni, hogy egy karakter hányadik a soron belül.
	idx = 0

	# Bejárjuk a sorban található oszlopokat (azaz az egyes szavakat).

	for (i = 1; i <= NF; i++) {
		# Minden szó esetén bejárjuk az adott szóban lévő karaktereket. Ügyeljünk arra, hogy AWK-ban
		# a stringek karaktereit nem 0-tól, hanem 1-től kezdődően indexeljük!
		
		for (j = 1; j <= length($i); j++) {
			# Elmentjük az aktuális karaktert egy változóba. Ezt úgy tudjuk megoldani, hogy lekérjük
			# az i-edik oszlopnak ($i-nek, azaz az aktuális szónak) a j-edik pozícióján lévő karakterét.
			
			aktualis_karakter = substr($i, j, 1)
			
			# Ha az aktuális karakter indexe páros, akkor nagybetűvel íratjuk ki a karaktert a konzolra,
			# míg a páratlan indexű karaktereket kisbetűvel jelenítjük meg.
			
			if (idx % 2 == 0) {
				printf("%s", toupper(aktualis_karakter))
			} else {
				printf("%s", tolower(aktualis_karakter))
			}
			
			# Ha végeztünk egy karakter feldolgozásával, megnöveljük a karakter indexét tároló változó értékét.
			idx++
		}
		
		# Minden szó feldolgozása után kiíratunk egy szóközt a konzolra.
		printf(" ")
	}
	
	# Minden sor feldolgozása után kiíratunk egy sortörést a konzolra.
	printf("\n")
}
