#!/usr/bin/gawk -f

BEGIN {
	# Mivel nem szóközzel vannak elválasztva az oszlopok, ezért átállítjuk a mezőelválasztó karaktert.
	FS = ";"

	# Változók a fájlban található összes pontszám összegének és darabszámának (az átlaghoz kellenek).
	teljes_osszeg = 0
	teljes_darab = 0
	
	# Változó a legjobb átlagnak.
	legjobb_atlag = 0
}

{
	# Változók a sorban található pontszámok összegének és darabszámának (az átlaghoz kellenek).
	csoport_osszeg = 0
	csoport_darab = 0
	
	# A sorban található oszlopok (azaz a csoport által elért pontszámok) bejárása.
	
	for (i = 1; i <= NF; i++) {
		# A csoport pontszámainak összegének és darabszámának számolása.
		csoport_osszeg += $i
		csoport_darab++
		
		# A fájlban szereplő összes pontszám összegének és darabszámának számolása.
		teljes_osszeg += $i
		teljes_darab++
	}
	
	# A csoportátlag kiszámítása és kiíratása (2 tizedesjegy pontossággal). A kiíratásban az
	# NR (Number of Records) az aktuálisan feldolgozott sornak a száma.
	
	csoport_atlag = csoport_osszeg / csoport_darab
	printf("A(z) %d. csoport atlaga: %.2f pont\n", NR, csoport_atlag)
	
	# Ha a csoport átlaga jobb, mint az eddig ismert legjobb átlag, akkor frissítjük a legjobb átlagot
	# tároló változó értékét ennek megfelelően.
	
	if (csoport_atlag > legjobb_atlag) {
		legjobb_atlag = csoport_atlag
	}
}

END {
	# Kiíratjuk a legjobb csoportátlagot és az összes pontszám átlagát (2 tizedesjegy pontossággal).

	printf("-------------------------------------------\n")
	printf("A legjobb csoportatlag: %.2f pont\n", legjobb_atlag)
	printf("Az osszes pontszam atlaga: %.2f pont\n", teljes_osszeg / teljes_darab)
}
